Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.typedarrays.shared
Interface Int8Array

All Superinterfaces:
  ArrayBufferView

All Known Implementing Classes:
  Int8ArrayImpl, Int8ArrayNative

    public interface Int8Array

extends ArrayBufferView

A view representing an `ArrayBuffer` as 8-bit signed integers. Storing out-of-range values are mapped to valid values by taking the bottom 8 bits of the value. "http://www.khronos.org/registry/typedarray/specs/latest/#7"

Field Summary
`static int` | `BYTES_PER_ELEMENT`

Method Summary
`byte` | `get(int index)` Retrieve one element of this view.
`int` | `length()` The length in elements of this view.
`void` | `set(byte[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(byte[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(int[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(int[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(Int8Array array)` Set multiple elements in this view from another view, storing starting at 0.
`void` | `set(Int8Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
`void` | `set(int index, int value)` Set one element in this view.
`Int8Array` | `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Int8Array` | `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView
`buffer, byteLength, byteOffset`

Field Detail

### BYTES_PER_ELEMENT

    static final int BYTES_PER_ELEMENT

See Also:
  Constant Field Values

Method Detail

### length

    int length()

  The length in elements of this view.

  Returns:
    non-negative length

### get

    byte get(int index)

  Retrieve one element of this view.

  Parameters:
    `index` -
  Returns:
    the requested element

### set

    void set(int index,
             int value)

  Set one element in this view.

  Parameters:
    `index` -
    `value` -

### set

    void set(Int8Array array)

  Set multiple elements in this view from another view, storing starting at 0.

  Parameters:
    `array` -

### set

    void set(Int8Array array,
             int offset)

  Set multiple elements in this view from another view, storing starting at the requested offset.

  Parameters:
    `array` -

### set

    void set(byte[] array)

  Set multiple elements in this view from an array, storing starting at 0.

  Parameters:
    `array` -

### set

    void set(byte[] array,
             int offset)

  Set multiple elements in this view from an array, storing starting at the requested offset.

  Parameters:
    `array` -

### set

    void set(int[] array)

  Set multiple elements in this view from an array, storing starting at 0.

  Parameters:
    `array` -

### set

    void set(int[] array,
             int offset)

  Set multiple elements in this view from an array, storing starting at the requested offset.

  Parameters:
    `array` -

### subarray

    Int8Array subarray(int begin)

  Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Int8Array` instance

### subarray

    Int8Array subarray(int begin,
                       int end)

  Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
    `end` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Int8Array` instance

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD